/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the CampaignsSettings200Response type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &CampaignsSettings200Response{}

// CampaignsSettings200Response struct for CampaignsSettings200Response
type CampaignsSettings200Response struct {
	DataSources map[string]interface{} `json:"data_sources"`
	DataTypeOperators map[string]interface{} `json:"data_type_operators"`
}

// NewCampaignsSettings200Response instantiates a new CampaignsSettings200Response object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewCampaignsSettings200Response(dataSources map[string]interface{}, dataTypeOperators map[string]interface{}) *CampaignsSettings200Response {
	this := CampaignsSettings200Response{}
	this.DataSources = dataSources
	this.DataTypeOperators = dataTypeOperators
	return &this
}

// NewCampaignsSettings200ResponseWithDefaults instantiates a new CampaignsSettings200Response object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewCampaignsSettings200ResponseWithDefaults() *CampaignsSettings200Response {
	this := CampaignsSettings200Response{}
	return &this
}

// GetDataSources returns the DataSources field value
func (o *CampaignsSettings200Response) GetDataSources() map[string]interface{} {
	if o == nil {
		var ret map[string]interface{}
		return ret
	}

	return o.DataSources
}

// GetDataSourcesOk returns a tuple with the DataSources field value
// and a boolean to check if the value has been set.
func (o *CampaignsSettings200Response) GetDataSourcesOk() (map[string]interface{}, bool) {
	if o == nil {
		return map[string]interface{}{}, false
	}
	return o.DataSources, true
}

// SetDataSources sets field value
func (o *CampaignsSettings200Response) SetDataSources(v map[string]interface{}) {
	o.DataSources = v
}

// GetDataTypeOperators returns the DataTypeOperators field value
func (o *CampaignsSettings200Response) GetDataTypeOperators() map[string]interface{} {
	if o == nil {
		var ret map[string]interface{}
		return ret
	}

	return o.DataTypeOperators
}

// GetDataTypeOperatorsOk returns a tuple with the DataTypeOperators field value
// and a boolean to check if the value has been set.
func (o *CampaignsSettings200Response) GetDataTypeOperatorsOk() (map[string]interface{}, bool) {
	if o == nil {
		return map[string]interface{}{}, false
	}
	return o.DataTypeOperators, true
}

// SetDataTypeOperators sets field value
func (o *CampaignsSettings200Response) SetDataTypeOperators(v map[string]interface{}) {
	o.DataTypeOperators = v
}

func (o CampaignsSettings200Response) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o CampaignsSettings200Response) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["data_sources"] = o.DataSources
	toSerialize["data_type_operators"] = o.DataTypeOperators
	return toSerialize, nil
}

type NullableCampaignsSettings200Response struct {
	value *CampaignsSettings200Response
	isSet bool
}

func (v NullableCampaignsSettings200Response) Get() *CampaignsSettings200Response {
	return v.value
}

func (v *NullableCampaignsSettings200Response) Set(val *CampaignsSettings200Response) {
	v.value = val
	v.isSet = true
}

func (v NullableCampaignsSettings200Response) IsSet() bool {
	return v.isSet
}

func (v *NullableCampaignsSettings200Response) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableCampaignsSettings200Response(val *CampaignsSettings200Response) *NullableCampaignsSettings200Response {
	return &NullableCampaignsSettings200Response{value: val, isSet: true}
}

func (v NullableCampaignsSettings200Response) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableCampaignsSettings200Response) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


